# $Revision: 1.8 $, $Date: 2002/09/14 00:22:52 $
%include	/usr/lib/rpm/macros.php
%define		_class		Console
%define		_subclass	Getopt
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Command-line option parser
Summary(pl):	%{_pearname} - Parser opcji linii polece
Name:		php-pear-%{_pearname}
Version:	1.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a PHP implementation of "getopt" supporting both short and
long options.

%description -l pl
Jest to PHPowa implementacja "getopt" wspierajca dugie i krtkie
opcje.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_pearname}-%{version}/%{_class}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Console_Getopt.spec,v $
Revision 1.8  2002/09/14 00:22:52  blues
- 1.0 (stable) - STBR

Revision 1.7  2002/09/07 19:27:08  blues
- fix in macros

Revision 1.6  2002/07/12 22:54:49  blues
- release 3 (rebuild with new rpm)

Revision 1.5  2002/07/04 01:10:51  blues
- release 2

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/29 14:18:32  blues
- removed dir

Revision 1.2  2002/06/29 11:44:00  blues
- more macros

Revision 1.1  2002/06/25 10:41:28  blues
- Console_Getopt php class
